package com.ruoyi.zhiyuanzhe.domain.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 调用活动积分接口响应类
 *
 * @author wu
 * @since 2023/11/8 16:51
 */
@Data
public class ServiceLongDTO implements Serializable {

    private static final long serialVersionUID = -6490812930752335900L;
    /**
     * id
     */
    private String id;

    /**
     * 活动名称
     */
    private String activityName;

    /**
     * 志愿者姓名
     */
    private String volunteerName;

    /**
     * 手机号
     */
    private String volunteerPhone;

    /**
     * 开始时间
     */
    private Long startTime;

    /**
     * 签到时间
     */
    private Long signTime;

    /**
     * 结束时间
     */
    private Long endTime;

    /**
     * 服务时长
     */
    private Double serviceLong;
}
