package com.ruoyi.zhiyuanzhe.domain.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 远程接受志愿者响应类
 *
 * @author wu
 * @since 2023/11/9 9:49
 */
@Data
public class VolunteerDTO implements Serializable {
    private static final long serialVersionUID = 6080890543778178647L;


    /**
     * 志愿者姓名
     */
    private String name;


    /**
     * 服务时长
     */
    private Double serviceLong;

    /**
     * 证件类型
     */
    private String certificateType;

    /**
     * 证件类型Text
     */
    private String certificateTypeText;

    /**
     * 身份证号
     */
    private String certificateId;

    /**
     * 电话
     */
    private String phone;

    /**
     * 国家
     */
    private String country;

    /**
     * 国家Text
     */
    private String countryText;

    /**
     * 学校
     */
    private String school;

    /**
     * 教育程度
     */
    private String education;

    /**
     * 教育程度Text
     */
    private String educationText;

    /**
     * 行业类别
     */
    private String industryCate;

    /**
     * 行业类别Text
     */
    private String industryCateText;

    /**
     * 专业技能
     */
    private String skill;

    /**
     * 专业技能Text
     */
    private String skillText;

}
