package com.ruoyi.zhiyuanzhe.domain.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 远程接口字典响应类
 *
 * @author wu
 * @since 2023/11/7 16:07
 */
@Data
public class DictDTO implements Serializable {
    private static final long serialVersionUID = -2008623319348955970L;

    /**
     * 字典父类 CODE
     */
    private String parentCode;

    /**
     * 字典 CODE
     */
    private String code;

    /**
     * 字典名称
     */
    private String name;

    /**
     * 排序 字典
     */
    private int sequence;
}
