package com.ruoyi.zhiyuanzhe.domain.dto;

import lombok.Data;

import java.io.Serializable;

/**
 * 调用接口响应类
 *
 * @author wu
 * @since 2023/11/7 15:34
 */
@Data
public class ResDTO implements Serializable {
    private static final long serialVersionUID = -3135596182726773591L;

    /**
     * 响应信息
     */
    private String msg;


    /**
     * 响应数据
     */
    private String obj;

    /**
     * 响应代码
     */
    private int code;

    /**
     * 是否成功响应
     */
    private Boolean success;

}
